Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent
Class EPCCache

    java.lang.Object
      com.connecterra.ale.alevent.EPCCache

public class EPCCache
extends java.lang.Object

Represents an EPC cache. All changes made to this instance are persisted.

Constructor Summary
`EPCCache(java.lang.String name, EPCCacheSpec spec, com.connecterra.ale.epc.EPCPatternList patList, com.connecterra.ale.alevent.PersistentEPCCache persistentCache, com.connecterra.ale.alevent.EPCCache.CacheContentObserver contentObserver, java.lang.String aleid)`
`EPCCache(java.lang.String name, EPCCacheSpec spec, com.connecterra.ale.alevent.PersistentEPCCache persistentCache, com.connecterra.ale.alevent.EPCCache.CacheContentObserver contentObserver, java.lang.String aleid)`

Method Summary
`void` | `addFirst(com.connecterra.ale.epc.EPC tagVal)` Called by a programming cycle if a tag programming operation fails.
`void` | `addInfoObserver(com.connecterra.ale.alevent.CacheInfoObserver o)`
`EPCPatterns` | `deplete()` Called when the ALEPC API is used to deplete and/or undefine an EPC cache.
`EPCPatterns` | `getCacheContent()`
`EPCCacheSpec` | `getEPCCacheSpec()`
`long` | `getEPCCount()`
`java.lang.String` | `getName()`
`void` | `redefineSpec(EPCCacheSpec spec)`
`com.connecterra.ale.epc.EPC` | `removeFirst()` Called when a programming cycle needs to obtain an EPC value for a tag programming operation.
`void` | `removeInfoObserver(com.connecterra.ale.alevent.CacheInfoObserver o)`
`void` | `replenish(java.util.List patList)` Called when the ALEPC API is used to create and/or replenish an EPC cache.
`void` | `request(com.connecterra.ale.alevent.CacheObserver o)`
`void` | `setInfo(int activationCount, long lastActivated, int replenishCount, long lastReplenished, long lastReported)`
`void` | `unrequest(com.connecterra.ale.alevent.CacheObserver o)`
`void` | `updateInfo(EngineEPCCacheSpecInfo info, boolean includeCacheContent)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPCCache

    public EPCCache(java.lang.String name,
                    EPCCacheSpec spec,
                    com.connecterra.ale.alevent.PersistentEPCCache persistentCache,
                    com.connecterra.ale.alevent.EPCCache.CacheContentObserver contentObserver,
                    java.lang.String aleid)
             throws CacheSpecValidationException

### EPCCache

    public EPCCache(java.lang.String name,
                    EPCCacheSpec spec,
                    com.connecterra.ale.epc.EPCPatternList patList,
                    com.connecterra.ale.alevent.PersistentEPCCache persistentCache,
                    com.connecterra.ale.alevent.EPCCache.CacheContentObserver contentObserver,
                    java.lang.String aleid)
             throws CacheSpecValidationException

Method Detail

### getName

    public java.lang.String getName()

### getEPCCacheSpec

    public EPCCacheSpec getEPCCacheSpec()

### redefineSpec

    public void redefineSpec(EPCCacheSpec spec)
                      throws CacheSpecValidationException

  Throws:
    `CacheSpecValidationException`

### request

    public void request(com.connecterra.ale.alevent.CacheObserver o)

### unrequest

    public void unrequest(com.connecterra.ale.alevent.CacheObserver o)

### addInfoObserver

    public void addInfoObserver(com.connecterra.ale.alevent.CacheInfoObserver o)

### removeInfoObserver

    public void removeInfoObserver(com.connecterra.ale.alevent.CacheInfoObserver o)

### replenish

    public void replenish(java.util.List patList)
                   throws InvalidPatternsException,
                          com.connecterra.ale.persistence.PersistenceException

  Called when the ALEPC API is used to create and/or replenish an EPC cache.

  Throws:
    `InvalidPatternsException`
    `com.connecterra.ale.persistence.PersistenceException`

### getCacheContent

    public EPCPatterns getCacheContent()

### deplete

    public EPCPatterns deplete()
                        throws com.connecterra.ale.persistence.PersistenceException

  Called when the ALEPC API is used to deplete and/or undefine an EPC cache.

  Throws:
    `com.connecterra.ale.persistence.PersistenceException`

### getEPCCount

    public long getEPCCount()

### removeFirst

    public com.connecterra.ale.epc.EPC removeFirst()
                                            throws com.connecterra.ale.persistence.PersistenceException,
                                                   CacheEmptyException

  Called when a programming cycle needs to obtain an EPC value for a tag programming operation.

  Throws:
    `com.connecterra.ale.persistence.PersistenceException`
    `CacheEmptyException`

### addFirst

    public void addFirst(com.connecterra.ale.epc.EPC tagVal)
                  throws InvalidPatternsException,
                         com.connecterra.ale.persistence.PersistenceException

  Called by a programming cycle if a tag programming operation fails.

  Throws:
    `InvalidPatternsException`
    `com.connecterra.ale.persistence.PersistenceException`

### updateInfo

    public void updateInfo(EngineEPCCacheSpecInfo info,
                           boolean includeCacheContent)

### setInfo

    public void setInfo(int activationCount,
                        long lastActivated,
                        int replenishCount,
                        long lastReplenished,
                        long lastReported)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD